A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
neg
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Numeric functions

## Functions
array | operator- () const
| Negates the values of the array.

## Detailed Description

Negate an array.

## Function Documentation

## ◆ operator-()

array operator- | ( |  | ) | const

Negates the values of the array.

Returns
  an array with negated values